/**
  *  \file planetscentral/host/db.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_DB_H
#define C2SERVER_PLANETSCENTRAL_HOST_DB_H

#define HOST_PROGRAM_ROOT     "prog:host:"
#define MASTER_PROGRAM_ROOT   "prog:master:"
#define TOOL_PROGRAM_ROOT     "prog:tool:"
#define SHIPLIST_PROGRAM_ROOT "prog:sl:"
#define GAME_ROOT             "game:"
#define USER_ROOT             "user:"
#define USER_ACTIVE           "user:active"
#define GLOBAL_HISTORY        "global:history"


enum DbTurnState {
    TurnMissing     = 0,        /* No turn submitted */
    TurnGreen       = 1,        /* Turn was submitted and OK */
    TurnYellow      = 2,        /* Turn was submitted and yellow*/
    TurnRed         = 3,        /* Turn was submitted and red*/
    TurnBad         = 4,        /* Turn was submitted and damaged */
    TurnStale       = 5,        /* Turn was stale */
    TurnDead        = 6,        /* No turn submitted, but player was dead */

    TurnStateMask   = 15,
    TurnIsTemporary = 16
};

#endif
