/**
  *  \file planetscentral/talk/cmdpost.h
  *  \brief Talk: POST commands
  */
#ifndef C2SERVER_PLANETSCENTRAL_TALK_CMDPOST_H
#define C2SERVER_PLANETSCENTRAL_TALK_CMDPOST_H

#include "cpluslib/types.h"

class TalkConnection;
class IntArgBlock;
class Message;
class Topic;

class PostAccessChecker {
 public:
    PostAccessChecker(TalkConnection& conn);
    bool isAllowed(Message& m);
    bool isAllowed(Topic& m);
    void checkMessage(Message& m);
    void checkTopic(Topic& m);

 private:
    TalkConnection& talkConnection;
    int32_t lastTopicId;
    bool lastTopicPermitted;
};

void doPostNew(TalkConnection& conn, IntArgBlock& args);
void doPostReply(TalkConnection& conn, IntArgBlock& args);
void doPostEdit(TalkConnection& conn, IntArgBlock& args);
void doPostRender(TalkConnection& conn, IntArgBlock& args);
void doPostMRender(TalkConnection& conn, IntArgBlock& args);
void doPostStat(TalkConnection& conn, IntArgBlock& args);
void doPostMStat(TalkConnection& conn, IntArgBlock& args);
void doPostGet(TalkConnection& conn, IntArgBlock& args);
void doPostRemove(TalkConnection& conn, IntArgBlock& args);
void doPostListNew(TalkConnection& conn, IntArgBlock& args);

#endif
